#include <iostream>

using namespace std;

int main()
{
        
    
    int N,M,i,j,D[100],P1[100],P2[100],br,zbir[100];
    cin>>N;
    cin>>M;
    br=0;
    for(i=0;i<N;i++)
        cin>>D[i];
    for(i=0;i<M;i++)
        {
            cin>>P1[i];
            cin>>P2[i];
        }
    for(i=0;i<M;i++)
        for(j=1;j<=N+1;j++)
    {
        if(P1[i]==j)
            br=br+1;
        if(P2[i]==j)
            br=br+1;
    }
    cout<<br;
    
    return 0;
}